Bug 1095 - (int-53506) cannot enter "s=2" needed for DUN connectivity
(int-53506)
: cannot enter "s=2" needed for DUN connectivity
Status: RESOLVED FIXED
Product: Connectivity
DUN
: unspecified
: All Debian
: High critical with 5 votes (vote)
: ---
Assigned To: unassigned
: dun-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2007-02-24 00:46 UTC by Steve Yeager
Modified: 2008-01-24 21:42 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Steve Yeager (reporter) 2007-02-24 00:46:29 UTC
The dial up number field in connection setup dialog prevents the use of the 
string required by iDEN phones for using a packet data connection. This string 
is "s=2"...

The 'S' and the '=' can not be entered.
Comment 1 Aapo Makela nokia 2007-03-08 14:02:07 UTC
(In reply to comment #0)
> The dial up number field in connection setup dialog prevents the use of the 
> string required by iDEN phones for using a packet data connection. This string 
> is "s=2"...
> 
> The 'S' and the '=' can not be entered.

Have you tried to enter this string in "Supplementary AT commands" field in
advanced settings?
Comment 2 Jake Kunnari 2007-03-14 15:03:53 UTC
Did it help? Are you now able to setup connection by using iDEN phone?
Comment 3 Steve Yeager (reporter) 2007-03-17 15:10:12 UTC
In order to pass a suplemental command I must first enter a dial-up number. 
The dial-up number for these phoses IS "s=2" >> 
http://idenphones.motorola.com/iden/support/downloads/iDENPhoneasModem_9598me.p
pt

The keyboard DOES NOT enable the "s" and "=" characters when editing this 
field.

I have tried other (null?) characters (*, #, P, W, etc.)in order to get past 
this. I have then entered "s=2" as the user name, password, or supplemental AT 
command and the phone will reject the connection. It needs to see "s=2" as the 
dial-up number.
Comment 4 Aapo Makela nokia 2007-03-30 10:22:46 UTC
This will be fixed in future release. Dial up number field for packet data will
function in full input mode.
Comment 5 Steve Yeager (reporter) 2007-07-08 01:39:38 UTC
"----- Comment #4 From Aapo Makela 2007-03-30 10:22:46 GMT+3 [reply] ------- 
This will be fixed in future release. Dial up number field for packet data will
function in full input mode."

This HAS NOT been resolved in the latest release (4.2007.26-8).

Please advise
Comment 6 Aapo Makela nokia 2007-08-14 14:41:31 UTC
(In reply to comment #5)
> This HAS NOT been resolved in the latest release (4.2007.26-8).
> 
> Please advise 
> 

Yes, the latest release does not yet contain the fix. I'll resolve the bug,
when we get the fix released.
Comment 7 Aapo Makela nokia 2007-12-04 09:25:28 UTC
Fixed in OS2008
Comment 8 Ralf 2008-01-24 21:42:36 UTC
(In reply to comment #3)
> In order to pass a suplemental command I must first enter a dial-up number. 
> The dial-up number for these phoses IS "s=2" >> 
> http://idenphones.motorola.com/iden/support/downloads/iDENPhoneasModem_9598me.p
> pt
> 
> The keyboard DOES NOT enable the "s" and "=" characters when editing this 
> field.
> 
> I have tried other (null?) characters (*, #, P, W, etc.)in order to get past 
> this. I have then entered "s=2" as the user name, password, or supplemental AT 
> command and the phone will reject the connection. It needs to see "s=2" as the 
> dial-up number.


Simply enter a single space character in the dial-up field and you will now be
able to get to the supplemental AT field. Enter "atdt s=2" there and your
good-to-go.